Subject: Players from the United States and around the world!

From: "Christoper Compton" <[email-masked]>

Huge progressive jackpots, slots, multi-hand, and single-hand blackjack. 
   
We have it all!

$2400 welcome bonus will be deposited in your new casino account! 

USA players too! Download and GO!

http://vegasgamecity.net/